Bug 1573712 - Gnome-terminal doesn't start in F28
Summary: Gnome-terminal doesn't start in F28
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1577600 1580143 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 06:01 UTC by antonio montagnani
Modified: 2019-05-28 22:15 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 22:15:55 UTC
Type: Bug


Attachments (Terms of Use)

Description antonio montagnani 2018-05-02 06:01:43 UTC
Description of problem:
After upgarding my systems, I note that gnome-terminal doesn't start

Version-Release number of selected component (if applicable):
gnome-terminal 3.28.1

How reproducible:
always

Steps to Reproduce:
1.just start from gnome the terminal
2.
3.

Actual results:
nothing happens, computer worls shortly, then application dies (never shos up)

Expected results:


Additional info:
my systems are in italian, now menus are mixed in italian and in english, nI suppose that is not connected

Comment 1 antonio montagnani 2018-05-02 06:39:16 UTC
Running gnome-terminal in tilix I get

$ gnome-terminal
# Locale not supported by C library.
	Using the fallback 'C' locale.
# Error constructing proxy for org.gnome.Terminal:/org/gnome/Terminal/Factory0: Error calling StartServiceByName for org.gnome.Terminal: Timeout was reached

Comment 2 antonio montagnani 2018-05-02 07:06:00 UTC
$ localectl
   System Locale: LANG=it_IT.UTF-8
       VC Keymap: it
      X11 Layout: it

Comment 3 antonio montagnani 2018-05-02 08:17:23 UTC
it seems that installing langpacks-it solves the issue. My system were upgraded from F27

Comment 4 Yann Droneaud 2018-05-02 13:02:59 UTC
It's the same issue I've described in #1570924

Comment 5 Yann Droneaud 2018-05-02 13:04:59 UTC
see bug #1570924.

Comment 6 Florian Weimer 2018-05-02 13:06:40 UTC
Do you have files under /usr/lib/locale/it_IT and /usr/lib/locale/it_IT@euro which are not owned by RPM?  Such as /usr/lib/locale/it_IT/LC_CTYPE?

Comment 7 Yann Droneaud 2018-05-02 13:10:42 UTC
(This bug is a possible duplicate of bug #1572679).

Comment 8 antonio montagnani 2018-05-15 06:54:03 UTC
(In reply to Florian Weimer from comment #6)
> Do you have files under /usr/lib/locale/it_IT and /usr/lib/locale/it_IT@euro
> which are not owned by RPM?  Such as /usr/lib/locale/it_IT/LC_CTYPE?

how do I check if are owned/not owned by RPM?? anyway after installation as per comment #3 system seems ok

Comment 9 Florian Weimer 2018-05-15 07:17:12 UTC
(In reply to antonio montagnani from comment #8)
> how do I check if are owned/not owned by RPM?

This should work:

rpm -qf /usr/lib/locale/it_IT/LC_CTYPE
rpm -qf /usr/lib/locale/locale-archive

Comment 10 antonio montagnani 2018-05-15 13:25:15 UTC
[antonio@fujitsu ~]$ rpm -qf /usr/lib/locale/it_IT/LC_CTYPE
glibc-langpack-it-2.27-8.fc28.x86_64
[antonio@fujitsu ~]$ rpm -qf /usr/lib/locale/locale-archive
il file /usr/lib/locale/locale-archive non è posseduto da alcun pacchetto

(last line says that is not owned by any package.

How is it possible: I installed only official packages...this is a Fedora that was updated from F27 to F28

Comment 11 Florian Weimer 2018-05-15 13:36:59 UTC
(In reply to antonio montagnani from comment #10)
> [antonio@fujitsu ~]$ rpm -qf /usr/lib/locale/it_IT/LC_CTYPE
> glibc-langpack-it-2.27-8.fc28.x86_64
> [antonio@fujitsu ~]$ rpm -qf /usr/lib/locale/locale-archive
> il file /usr/lib/locale/locale-archive non è posseduto da alcun pacchetto
> 
> (last line says that is not owned by any package.
> 
> How is it possible: I installed only official packages...this is a Fedora
> that was updated from F27 to F28

The most likely cause is that you either interrupted dnf/rpm during an update (using ^C, for example), or the system crashed at that point.

Comment 12 Jan Beran 2018-05-20 12:14:17 UTC
I have the same experience as Antonio with cs locale that was missing after the upgrade from F27 to F28. I had to install glibc-langpack-cs manually to solve the issue.

Comment 13 Przemo Firszt 2018-05-29 10:26:37 UTC
*** Bug 1580143 has been marked as a duplicate of this bug. ***

Comment 14 luigi votta 2018-06-03 06:55:46 UTC
(In reply to antonio montagnani from comment #3)
> it seems that installing langpacks-it solves the issue. My system were
> upgraded from F27

Same issue for me!
Thanks for hint!

Comment 15 Debarshi Ray 2018-06-06 09:39:42 UTC
*** Bug 1577600 has been marked as a duplicate of this bug. ***

Comment 16 Ben Cotton 2019-05-02 21:01:09 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Ben Cotton 2019-05-28 22:15:55 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.